

Doing cond_resched() inside a spinlocked region might sleep, very rarely. 
It's worth a check.


---

 25-akpm/include/linux/sched.h |    1 +
 1 files changed, 1 insertion(+)

diff -puN include/linux/sched.h~cond_resched-might-sleep include/linux/sched.h
--- 25/include/linux/sched.h~cond_resched-might-sleep	Mon May 10 15:34:33 2004
+++ 25-akpm/include/linux/sched.h	Mon May 10 15:34:33 2004
@@ -1045,6 +1045,7 @@ static inline int need_resched(void)
 extern void __cond_resched(void);
 static inline void cond_resched(void)
 {
+	might_sleep();
 	if (need_resched())
 		__cond_resched();
 }

_
